## fcron-3.4.0-1.src.tar.gz

=== tests/Makefile ===

SRCDIR		:= .
# Useful to build packages
# you may want to use this var with a : 'make DESTDIR=dir install'
DESTDIR		:=

OPTIM		:= -DDEBUG -DCHECKRUNJOB -g -Wall -DFOREGROUND -DMALLOC_CHECK_=2 -Wpointer-arith -Wstrict-prototypes -I/usr/include/selinux
LDFLAGS		:= 
CPPFLAGS	:=  -I. -I${SRCDIR}
LIBS		:= -lpam  -lreadline -lcrypt -laudit -lselinux
LIBOBJS		:= 
DEFS		:= -DHAVE_CONFIG_H 
CC		:= gcc

CFLAGS += $(OPTIM) $(OPTION) $(DEFS) $(CPPFLAGS) $(LDFLAGS)

OBJSTEST := fcrondyn_svr_test.o $(LIBOBJS)

# this is a regular expression :
# do not ci automaticaly generated files and doc (done by doc's Makefile)
RCSNOCI:=.*\(.html\|VERSION\|MANIFEST\|configure\|install.sh\|config.log\|config.status\|config.h\|config.cache\|Makefile\|doc.*\|CVS.*\|.git.*\)

all: $(OBJSTEST)

%.o: %.c 
	$(CC) $(CFLAGS) -c $< -Wno-implicit-function-declaration -Wno-unused-variable

clean:
	rm -f *.o core

indent:
	indent -linux -i4 --no-tabs --leave-optional-blank-lines \
            --start-left-side-of-comments --procnames-start-lines \
            --dont-cuddle-else *.c *.h
